GET

/api/v1/exchanges/:id/volume_monthly

Permission: EXCHANGES_READSecurity: SIGNED

Returns monthly trading volume statistics for the specified exchange account in BTC and USD.

Path Parameters

idUUID string / summary required

Unique Quentrade UUID of this exchange account entity (or 'summary' for aggregated portfolio volume).

Query Parameters

monthstring optional

Optional. The UTC month for which volume should be returned (YYYY-MM format). If omitted, returns current month's volume.

Example Request

GETGET /api/v1/exchanges/7fa84b80-77a8-4e89-a292-123456789abc/volume_monthly?month=2025-03

Response Parameters

utc_monthstring

The month for which the trading volume is returned (UTC).

volume_btcstring

Total trading volume for the account in the specified month, in BTC.

volume_usdstring

Total trading volume for the account in the specified month, in USD.

Example Responses

volume_monthly_200.json
200 OK
{
  "utc_month": "2025-03",
  "volume_btc": "15.7",
  "volume_usd": "785000.00"
}